/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning
curl --request PUT \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"includeNotRewarded": true,
"includeRewarded": true,
"includeUnknownRewarded": true,
"playbackMethod": [],
"videoAspectRatio": [],
"videoInStreamPosition": [],
"videoPlayerSize": [],
"videoPlcmt": []
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning"
payload = { "data": {
"attributes": {
"includeNotRewarded": True,
"includeRewarded": True,
"includeUnknownRewarded": True,
"playbackMethod": [],
"videoAspectRatio": [],
"videoInStreamPosition": [],
"videoPlayerSize": [],
"videoPlcmt": []
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
includeNotRewarded: true,
includeRewarded: true,
includeUnknownRewarded: true,
playbackMethod: [],
videoAspectRatio: [],
videoInStreamPosition: [],
videoPlayerSize: [],
videoPlcmt: []
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'includeNotRewarded' => true,
'includeRewarded' => true,
'includeUnknownRewarded' => true,
'playbackMethod' => [
],
'videoAspectRatio' => [
],
'videoInStreamPosition' => [
],
'videoPlayerSize' => [
],
'videoPlcmt' => [
]
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {},
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning
Set the Video Positioning Targeting configuration for the ad set whose id is specified
PUT
/
preview
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
targeting
/
video-positioning
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning
curl --request PUT \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"includeNotRewarded": true,
"includeRewarded": true,
"includeUnknownRewarded": true,
"playbackMethod": [],
"videoAspectRatio": [],
"videoInStreamPosition": [],
"videoPlayerSize": [],
"videoPlcmt": []
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning"
payload = { "data": {
"attributes": {
"includeNotRewarded": True,
"includeRewarded": True,
"includeUnknownRewarded": True,
"playbackMethod": [],
"videoAspectRatio": [],
"videoInStreamPosition": [],
"videoPlayerSize": [],
"videoPlcmt": []
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
includeNotRewarded: true,
includeRewarded: true,
includeUnknownRewarded: true,
playbackMethod: [],
videoAspectRatio: [],
videoInStreamPosition: [],
videoPlayerSize: [],
videoPlcmt: []
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'includeNotRewarded' => true,
'includeRewarded' => true,
'includeUnknownRewarded' => true,
'playbackMethod' => [
],
'videoAspectRatio' => [
],
'videoInStreamPosition' => [
],
'videoPlayerSize' => [
],
'videoPlcmt' => [
]
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/video-positioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"includeNotRewarded\": true,\n \"includeRewarded\": true,\n \"includeUnknownRewarded\": true,\n \"playbackMethod\": [],\n \"videoAspectRatio\": [],\n \"videoInStreamPosition\": [],\n \"videoPlayerSize\": [],\n \"videoPlcmt\": []\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {},
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the Ad Set
Body
application/json
the new Video Positioning Targeting configuration
Represents an API request message containing the usual valueResource data field, i.e. data is not an entity (no id). This can be used for association objects.
A class that represents a ValueType in a guild compliant way
Show child attributes
Show child attributes
Response
200 - application/json
the errors/warnings if any
Represents an API response message containing the usual outcome fields (warnings+errors), and a valueResource data, i.e. data is not an entity (no id). This can be used for association objects.
Was this page helpful?